using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkProcess;
using Datory;

namespace GxPress.Repository.Interface.WorkProcess
{
    public interface IRuleConditionRepository : IRepository
    {
        Task<int> InsertAsync(RuleCondition conditionRule);

        Task<IEnumerable<RuleCondition>> GetListAsync(int nodeId);
        
        Task DeleteByNodeIdListAsync(IEnumerable<int> nodeIdList);
    }
}